#!/bin/sh

hostname -f | fgrep "." > /dev/null
if [ $? -ne 0 ]; then
    echo "error, command 'hostname -f' does not return domainname"
    exit 1
fi

mkdir -p /etc/puppet/manifests
if [ ! -s /etc/puppet/manifests/site.pp ]; then
    echo "" > /etc/puppet/manifests/site.pp
fi

ssldir=`echo "require 'puppet'; Puppet.parse_config; print Puppet.settings.value('ssldir')" | ruby`

(
    echo "\$homename = '`hostname -f`'"
    echo "\$puppet_ssldir = '${ssldir}'"
    echo "include puppet::server"
) | puppet --no-report
